INTERFACE
SUBROUTINE SRTM_VRTQDR&
 & (KIDIA, KFDIA, KLEV , KW,&
 & PREF , PREFD, PTRA , PTRAD,&
 & PDBT , PRDND, PRUP , PRUPD , PTDBT,&
 & PFD , PFU , PRMU0&
 & ) 
USE PARKIND1 ,ONLY : JPIM ,JPRB
USE PARSRTM , ONLY : JPLAY, JPGPT
INTEGER(KIND=JPIM),INTENT(IN) :: KIDIA, KFDIA
INTEGER(KIND=JPIM),INTENT(IN) :: KLEV
INTEGER(KIND=JPIM),INTENT(IN) :: KW(KIDIA:KFDIA)
REAL(KIND=JPRB) ,INTENT(IN) :: PREF(KIDIA:KFDIA,JPLAY+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PREFD(KIDIA:KFDIA,JPLAY+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRA(KIDIA:KFDIA,JPLAY+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTRAD(KIDIA:KFDIA,JPLAY+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PDBT(KIDIA:KFDIA,JPLAY+1)
REAL(KIND=JPRB) ,INTENT(OUT) :: PRDND(KIDIA:KFDIA,JPLAY+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRUP(KIDIA:KFDIA,JPLAY+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PRUPD(KIDIA:KFDIA,JPLAY+1)
REAL(KIND=JPRB) ,INTENT(IN) :: PTDBT(KIDIA:KFDIA,JPLAY+1)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFD(KIDIA:KFDIA,JPLAY+1,JPGPT)
REAL(KIND=JPRB) ,INTENT(INOUT) :: PFU(KIDIA:KFDIA,JPLAY+1,JPGPT)
REAL(KIND=JPRB) ,INTENT(IN) :: PRMU0(KIDIA:KFDIA)
END SUBROUTINE SRTM_VRTQDR
END INTERFACE
